Page MenuHomePhabricator

[Aarch64] Don't truncate PC-relative relocations in ELF EH frames to 32 bits
AcceptedPublic

Authored by ossy on Mar 11 2015, 8:36 AM.

Details

Summary

It was fixed on x86_64 by http://reviews.llvm.org/D6079 , but we need similar fix on Aarch64 for FTL JIT of WebKit

Diff Detail

Repository
rL LLVM

Event Timeline

ossy updated this revision to Diff 21729.Mar 11 2015, 8:36 AM
ossy retitled this revision from to [Aarch64] Don't truncate PC-relative relocations in ELF EH frames to 32 bits.
ossy updated this object.
ossy edited the test plan for this revision. (Show Details)
ossy added reviewers: joerg, reames, ributzka, echristo.
ossy set the repository for this revision to rL LLVM.
ossy added a subscriber: Unknown Object (MLST).Mar 11 2015, 8:37 AM
reames removed a reviewer: reames.May 5 2015, 3:14 PM
joerg accepted this revision.Aug 13 2015, 6:45 AM
joerg added a reviewer: t.p.northover.
joerg edited edge metadata.

LGTM, but I'd like to see a comment from the ARM folks. Tim?

This revision is now accepted and ready to land.Aug 13 2015, 6:46 AM
rengolin added a subscriber: rengolin.

This is a dwarf specific question to which I don't know the answer.

Adding some AArch64 specific people as well as Keith, the Dwarf expert.

I'd welcome Eric's input, too.

cheers,
-renato

joerg added a comment.Aug 13 2015, 8:52 AM

Well, it is more a question of what code models aarch64 supports and which of those allow sections to be more than 2GB away from each other.